aboutsummaryrefslogtreecommitdiffstats
path: root/code/unix/setup/doit
diff options
context:
space:
mode:
authorludwig <ludwig@edf5b092-35ff-0310-97b2-ce42778d08ea>2005-11-27 15:34:16 +0000
committerludwig <ludwig@edf5b092-35ff-0310-97b2-ce42778d08ea>2005-11-27 15:34:16 +0000
commitb2eccd997b04c7c8d5a68e77e48d3441a6cc2959 (patch)
tree6ea156901ab7941a096db27e5ba2d90e94f2eba4 /code/unix/setup/doit
parent07b947df850d2949862e438c3f10006bb8c99b4c (diff)
downloadioquake3-aero-b2eccd997b04c7c8d5a68e77e48d3441a6cc2959.tar.gz
ioquake3-aero-b2eccd997b04c7c8d5a68e77e48d3441a6cc2959.zip
files to create a loki-setup based installer. run "make installer"
git-svn-id: svn://svn.icculus.org/quake3/trunk@379 edf5b092-35ff-0310-97b2-ce42778d08ea
Diffstat (limited to 'code/unix/setup/doit')
-rwxr-xr-xcode/unix/setup/doit57
1 files changed, 57 insertions, 0 deletions
diff --git a/code/unix/setup/doit b/code/unix/setup/doit
new file mode 100755
index 0000000..c68c110
--- /dev/null
+++ b/code/unix/setup/doit
@@ -0,0 +1,57 @@
+#!/bin/bash
+
+: ${MAKESELF:=/usr/share/loki-setup/makeself}
+: ${SETUPIMAGE:=/usr/share/loki-setup/image}
+
+: ${VERSION:=0.0_`date +%Y%m%d%H%M`}
+: ${RELEASE:=0}
+
+set -e
+set -x
+
+arch=`uname -m`
+case "$arch" in
+ i?86) arch=i386 ;;
+esac
+
+rm -rf image
+mkdir image
+
+### loki-setup files
+cp -a $SETUPIMAGE/{setup.data,setup.sh} image/
+
+### splash
+convert ../../../web/images/quake3.jpg image/setup.data/splash.xpm
+
+### binaries
+mkdir image/tmp
+pushd image/tmp
+mkdir baseq3 demoq3 missionpack
+src="../../../release$arch-glibc/"
+install -m 755 $src/linuxquake3 ioquake3.$arch
+install -m 755 $src/linuxq3ded ioq3ded.$arch
+install -m 644 $src/baseq3/*.so baseq3
+install -m 644 $src/missionpack/*.so missionpack
+pushd demoq3
+ln -s ../baseq3/*.so .
+popd
+popd
+
+tar --owner=root --group=root -C image/tmp -cf image/ioquake3.tar .
+rm -rf image/tmp
+
+### setup.xml
+sed 's/@VERSION@/'$VERSION'/g' < setup.xml > image/setup.data/setup.xml
+
+### start script
+mkdir -p image/bin/Linux/$arch
+ln -s x86_64 image/bin/Linux/amd64 # $ยง&%!!
+install -m 755 ioquake3.sh image/bin/Linux/$arch/ioquake3
+install -m 755 ioq3demo.sh image/bin/Linux/$arch/ioq3demo
+
+### README and COPYING
+install -m 644 ../../../README image/README
+install -m 644 ../../../COPYING.txt image/COPYING
+
+### makeself installer
+$MAKESELF/makeself.sh image ioquake3-$VERSION-$RELEASE.$arch.run "icculus.org/quake3 $VERSION" ./setup.sh